' FILE:  pcmcia.vbs
' DESC:  This script writes a registry value to allow a hot-plugged
'        PCMCIA card to be detected in a SurePOS 500 system running
'        Windows 98 in ACPI mode.
' AUTH:  Deanne Mott
' DATE:  04/05/2001
'
' Copyright 2001 IBM Corporation

On Error Resume Next

' RGG-04/10/2001
' Test for incorrect OS version.  This patch is only for Windows 98.
Dim OSVersion
Set WshShell = WScript.CreateObject("WScript.Shell")
Set WshSysEnv = WshShell.Environment("SYSTEM")
OSVersion = WshSysEnv("OS")

If OSVersion = "Windows_NT" Then
	WScript.Echo "This patch is for Microsoft(R) Windows(R) 98 only."
	WScript.Quit
End If

Const PCMCIA_KEY = "HKLM\SYSTEM\CurrentControlSet\Services\VxD\PCI\"

Dim shell
Dim RegCScript         ' This is used to capture user Yes or No
Dim RegPopupQYesNo     ' This is used to set the pop-up box flags.
RegPopupQYesNo = 32 + 4

Set shell = Wscript.CreateObject("Wscript.shell")

shell.Popup "This patch is written for the IBM SurePOS 500 " & _
            "in order to allow hot-plugged PCMCIA cards to " & _
            "be automatically detected in Windows 98.", 0, "SurePOS 500 PCMCIA Hot Plug Patch", 0 
            
RegCScript = shell.Popup ("This program will alter your registry settings. " & _ 
            "Do you wish to continue?", 0, "SurePOS 500 PCMCIA Hot Plug Patch", RegPopupQYesNo)  

If (RegCScript = 6) Then     '6 means Yes was clicked
   '
   ' Write registry key to prevent TI1211 PCMCIA controller from being put into D2 state
   '
   shell.RegWrite PCMCIA_KEY & "AC1E104C", &H20000000, "REG_BINARY"   

   If Err.Number <> 0 Then
        Wscript.Echo "An error occured while changing the registry settings."
        Wscript.Echo "(" & Err.Number & ") " & Err.Description
   Else
        Wscript.Echo "Registry settings have been changed." & _
                     "  Please Restart the machine for settings to take effect."
   End If  
Else    'Anything but 6 means No was clicked
   Wscript.Echo "Registry settings were not changed, patch not installed."
End If

Wscript.Quit Err.Number



